Last Comment Bug 717613 - Make sure the primary selection is not updated too often in the Source Editor
: Make sure the primary selection is not updated too often in the Source Editor
Status: RESOLVED FIXED
[sourceeditor][orion][fixed-in-fx-team]
:
Product: Firefox
Classification: Client Software
Component: Developer Tools (show other bugs)
: Trunk
: All Linux
: P3 normal (vote)
: Firefox 13
Assigned To: Mihai Sucan [:msucan]
:
Mentors:
Depends on: 712982
Blocks: 700893
  Show dependency treegraph
 
Reported: 2012-01-12 07:49 PST by Mihai Sucan [:msucan]
Modified: 2012-02-22 09:49 PST (History)
1 user (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
proposed patch (3.82 KB, patch)
2012-01-27 13:23 PST, Mihai Sucan [:msucan]
no flags Details | Diff | Splinter Review
updated patch (3.82 KB, patch)
2012-02-01 13:02 PST, Mihai Sucan [:msucan]
rcampbell: review+
Details | Diff | Splinter Review
[in-fx-team] rebased patch (3.82 KB, patch)
2012-02-09 09:41 PST, Mihai Sucan [:msucan]
no flags Details | Diff | Splinter Review

Description Mihai Sucan [:msucan] 2012-01-12 07:49:15 PST
Since bug 695035 landed we update the X11 primary selection when needed. We should limit the number of updates to only one after 250-500 ms of user inactivity. This would avoid potential lockups while working with really big files (and big selections).
Comment 1 Mihai Sucan [:msucan] 2012-01-27 13:23:04 PST
Created attachment 592249 [details] [diff] [review]
proposed patch

Proposed patch. Please let me know if this approach is fine with you. Thanks!
Comment 2 Rob Campbell [:rc] (:robcee) 2012-01-28 08:28:31 PST
Comment on attachment 592249 [details] [diff] [review]
proposed patch

yeah, this looks ok to me. Why 250ms though. Why not 25ms? or 100?
Comment 3 Mihai Sucan [:msucan] 2012-01-28 08:34:30 PST
(In reply to Rob Campbell [:rc] (robcee) from comment #2)
> Comment on attachment 592249 [details] [diff] [review]
> proposed patch
> 
> yeah, this looks ok to me. Why 250ms though. Why not 25ms? or 100?

I picked it arbitrarily, I was also unsure how short the delay should be. Do you want me to put a different value?
Comment 4 Rob Campbell [:rc] (:robcee) 2012-01-28 09:48:15 PST
yeah, I think 50ms or 100ms is probably sufficient. I feel like at 250ms, some fast users could switch windows and not have their clipboard populated.
Comment 5 Mihai Sucan [:msucan] 2012-02-01 13:02:50 PST
Created attachment 593582 [details] [diff] [review]
updated patch

Changed the timeout from 250ms to 100ms. Please let me know if further changes are needed.

Thank you!
Comment 6 Mihai Sucan [:msucan] 2012-02-09 09:41:58 PST
Created attachment 595788 [details] [diff] [review]
[in-fx-team] rebased patch
Comment 7 Mihai Sucan [:msucan] 2012-02-18 04:11:42 PST
Comment on attachment 595788 [details] [diff] [review]
[in-fx-team] rebased patch

Landed:
https://hg.mozilla.org/integration/fx-team/rev/00bce5149395
Comment 8 Mihai Sucan [:msucan] 2012-02-18 08:35:25 PST
Comment on attachment 595788 [details] [diff] [review]
[in-fx-team] rebased patch

backed out due to test failure:
https://hg.mozilla.org/integration/fx-team/rev/e732067ca81e
Comment 9 Mihai Sucan [:msucan] 2012-02-21 10:53:31 PST
Comment on attachment 595788 [details] [diff] [review]
[in-fx-team] rebased patch

Landed:
https://hg.mozilla.org/integration/fx-team/rev/ac5158b80fdf
Comment 10 Rob Campbell [:rc] (:robcee) 2012-02-22 09:49:37 PST
https://hg.mozilla.org/mozilla-central/rev/ac5158b80fdf

Note You need to log in before you can comment on or make changes to this bug.